# Uses of Annotation Type
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate.ServiceConfig

Packages that use ServiceConfig
Package
Description
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate

## Uses of ServiceConfig in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate

Methods in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate with parameters of type ServiceConfig
Modifier and Type
Method
Description
`protected void`
Service9.`activate(ServiceConfig config)`
`protected void`
Service9.`deactivate(ServiceConfig config)`
Constructors in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate with parameters of type ServiceConfig
Modifier
Constructor
Description
``
`Service4Constructor(ServiceConfig config)`
``
`Service7Constructor(org.osgi.service.component.ComponentContext componentContext, ServiceConfig config, org.osgi.framework.BundleContext bundleContext)`